## glyphslib 2.2.1

=== requirements.txt ===
fonttools==3.19.0
defcon==0.3.5
MutatorMath==2.1.0

=== debian/changelog ===
glyphslib (2.2.1-1) unstable; urgency=medium

  * Initial release. Closes: #868005

 -- Yao Wei (魏銘廷) <mwei@lxde.org>  Thu, 04 Jan 2018 21:08:15 +0800

=== debian/control ===
Source: glyphslib
Section: devel
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Yao Wei (魏銘廷) <mwei@lxde.org>
Build-Depends: debhelper (>= 10),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-fonttools,
               python3-defcon,
               python3-mutatormath,
               glyphsinfo
Standards-Version: 4.1.3
Homepage: https://github.com/googlei18n/glyphsLib
Vcs-Git: https://salsa.debian.org/fonts-team/glyphslib.git
Vcs-Browser: https://salsa.debian.org/fonts-team/glyphslib
X-Python3-Version: >= 3.4

Package: python3-glyphslib
Architecture: all
Section: python
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Library for converting from Glyphs files (.glyphs) to UFOs
 This library provides a bridge from Glyphs source files (.glyphs)
 to Unified Font Objects (UFOs) via defcon.

=== debian/rules ===
#!/usr/bin/make -f
# You must remove unused comment lines for the released package.
#export DH_VERBOSE = 1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	# A file must be there to run the script
	touch Lib/glyphsLib/glyphdata_generated.py
	python3 MetaTools/generate_glyphdata.py /usr/share/glyphsinfo/GlyphData.xml /usr/share/glyphsinfo/GlyphData_Ideographs.xml
	dh_auto_build

=== debian/watch ===
version=3
https://github.com/googlei18n/glyphsLib/tags .*/v*@ANY_VERSION@@ARCHIVE_EXT@

## glyphslib 3.0.2

=== requirements.txt ===
fonttools==3.28.0
defcon==0.5.1

=== debian/changelog ===
glyphslib (3.0.2-3) unstable; urgency=low

  * Separate executables into another package

 -- Yao Wei (魏銘廷) <mwei@lxde.org>  Wed, 12 Sep 2018 06:49:14 +0800

glyphslib (3.0.2-2) unstable; urgency=medium

  * New upstream version 3.0.2
  * debian/compat:
    - Bump debhelper to 11
  * debian/copyright:
    - Update for OFL-1.1 licensed file
  * debian/control:
    - Bump debhelper to 11
    - Update dependency versions
    - Add dependency python3-setuptools-scm
    - Bump Standards-Version to 4.1.5
    - Remove deprecated X-Python3-Version
    - Update mailing list address

 -- Yao Wei (魏銘廷) <mwei@lxde.org>  Tue, 11 Sep 2018 13:15:04 +0800

=== debian/control ===
Source: glyphslib
Section: devel
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders: Yao Wei (魏銘廷) <mwei@lxde.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-setuptools-scm,
               python3-fonttools (>= 3.28.0),
               python3-defcon (>= 0.5.1),
               python3-ufonormalizer (>= 0.3.5),
               glyphsinfo,
Standards-Version: 4.1.5
Homepage: https://github.com/googlei18n/glyphsLib
Vcs-Git: https://salsa.debian.org/fonts-team/glyphslib.git
Vcs-Browser: https://salsa.debian.org/fonts-team/glyphslib

Package: glyphslib
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-glyphslib (= ${binary:Version})
Breaks: python3-glyphslib (<< 3.0.2-3~)
Replaces: python3-glyphslib (<< 3.0.2-3~)
Description: Convert between Glyphs files (.glyphs) and UFOs
 This tool provides conversions between Glyphs source files (.glyphs) and
 Unified Font Objects (UFOs) via defcon.
 .
 This package provides the executable program.

Package: python3-glyphslib
Architecture: all
Section: python
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-ufonormalizer (>= 0.3.5),
Description: Library for converting between Glyphs files (.glyphs) and UFOs
 This tool provides conversions between Glyphs source files (.glyphs) and
 Unified Font Objects (UFOs) via defcon.

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,16 @@
 # You must remove unused comment lines for the released package.
 #export DH_VERBOSE = 1
 
+include /usr/share/dpkg/pkg-info.mk
+VERSION_UPSTREAM = $(shell echo '$(DEB_VERSION_UPSTREAM)' | sed -e 's/\+[^+]*//')
+export SETUPTOOLS_SCM_PRETEND_VERSION = $(VERSION_UPSTREAM)
+
 %:
 	dh $@ --with python3 --buildsystem=pybuild
+
+override_dh_clean:
+	dh_clean
+	rm Lib/glyphsLib/_version.py
 
 override_dh_auto_build:
 	# A file must be there to run the script

## glyphslib 3.1.4

=== requirements.txt ===
fonttools==3.30.0
defcon==0.5.3

=== debian/changelog ===
glyphslib (3.1.4-1) unstable; urgency=medium

  [ Yao Wei (魏銘廷) ]
  * New upstream version 3.1.4
  * Remove glyphsinfo files from upstream, and symlink to glyphsinfo package
  * debian/control:
    - Change uploader email
    - Update dependencies
    - Bump Standards-Version to 4.2.1

  [ Jeremy Bicha ]
  * Drop now unused lintian overrides

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Fri, 14 Dec 2018 10:33:30 +0800

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,16 @@
 Section: devel
 Priority: optional
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
-Uploaders: Yao Wei (魏銘廷) <mwei@lxde.org>
+Uploaders: Yao Wei (魏銘廷) <mwei@debian.org>
 Build-Depends: debhelper (>= 11),
                dh-python,
                python3-all,
                python3-setuptools,
                python3-setuptools-scm,
-               python3-fonttools (>= 3.28.0),
-               python3-defcon (>= 0.5.1),
+               python3-fonttools (>= 3.30.0),
+               python3-defcon (>= 0.5.3),
                python3-ufonormalizer (>= 0.3.5),
-               glyphsinfo,
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Homepage: https://github.com/googlei18n/glyphsLib
 Vcs-Git: https://salsa.debian.org/fonts-team/glyphslib.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/glyphslib
@@ -37,6 +36,7 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${python3:Depends},
+         glyphsinfo,
          python3-ufonormalizer (>= 0.3.5),
 Description: Library for converting between Glyphs files (.glyphs) and UFOs
  This tool provides conversions between Glyphs source files (.glyphs) and

=== debian/rules ===
--- 
+++ 
@@ -12,9 +12,3 @@
 override_dh_clean:
 	dh_clean
 	rm Lib/glyphsLib/_version.py
-
-override_dh_auto_build:
-	# A file must be there to run the script
-	touch Lib/glyphsLib/glyphdata_generated.py
-	python3 MetaTools/generate_glyphdata.py /usr/share/glyphsinfo/GlyphData.xml /usr/share/glyphsinfo/GlyphData_Ideographs.xml
-	dh_auto_build

=== debian/watch ===
version=4
https://github.com/googlei18n/glyphsLib/tags .*/v*@ANY_VERSION@@ARCHIVE_EXT@

## glyphslib 4.0.0a1

=== debian/changelog ===
glyphslib (4.0.0a1-1) unstable; urgency=medium

  * New upstream version 4.0.0a1
  * debian/patches:
    - Add patch to remove xmldiff related tests
  * debian/control:
    - Update dependencies
    - Bump Standards-Version to 4.4.0
  * Change upstream URL
  * Update dependencies

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Thu, 18 Jul 2019 10:33:53 -0300

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
                python3-all,
                python3-setuptools,
                python3-setuptools-scm,
-               python3-fonttools (>= 3.30.0),
-               python3-defcon (>= 0.5.3),
+               python3-fonttools (>= 3.40.0),
+               python3-defcon (>= 0.6.0),
                python3-ufonormalizer (>= 0.3.5),
-Standards-Version: 4.2.1
-Homepage: https://github.com/googlei18n/glyphsLib
+Standards-Version: 4.4.0
+Homepage: https://github.com/googlefonts/glyphsLib
 Vcs-Git: https://salsa.debian.org/fonts-team/glyphslib.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/glyphslib

=== debian/watch ===
version=4
https://github.com/googlefonts/glyphsLib/tags .*/v*@ANY_VERSION@@ARCHIVE_EXT@

## glyphslib 5.1.0+ds1

=== debian/changelog ===
glyphslib (5.1.0+ds1-1) unstable; urgency=medium

  * New upstream version 5.1.0+ds1
  * Fix lintian warning maintainer-script-lacks-debhelper-token
  * d/patch: Patch test fixtures due to fonttools version update
  * Change how glyphsdata package is referenced
    - d/python3-glyphslib.links: Symlink the files instead of directory
    - d/preinst: Add script to remove old symlinks
  * debian/control: Update dependencies
  * Add CI script for salsa.debian.org

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Tue, 24 Dec 2019 02:27:44 +0100

glyphslib (5.0.1-1) unstable; urgency=medium

  * New upstream version 5.0.1
  * Bump Standards-Version to 4.4.1
  * d/control: Add python3-wheel to Build-Depends
  * d/tests/control: Add autopkgtest control file that runs pytest-3

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Tue, 08 Oct 2019 09:59:52 +0800

glyphslib (4.1.2-1) unstable; urgency=medium

  * New upstream version 4.1.2
  * Bump debhelper-compat to 12
  * Enable tests

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 08 Sep 2019 14:32:16 +0800

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,20 @@
 Priority: optional
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders: Yao Wei (魏銘廷) <mwei@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-setuptools,
                python3-setuptools-scm,
-               python3-fonttools (>= 3.40.0),
+               python3-fonttools (>= 4.2.2),
                python3-defcon (>= 0.6.0),
-               python3-ufonormalizer (>= 0.3.5),
-Standards-Version: 4.4.0
+               python3-ufonormalizer (>= 0.3.6),
+               python3-ufolib2 (>= 0.5.0),
+               python3-pytest,
+               python3-wheel,
+               xmldiff (>= 2.4),
+               glyphsinfo (>= 1193),
+Standards-Version: 4.4.1
 Homepage: https://github.com/googlefonts/glyphsLib
 Vcs-Git: https://salsa.debian.org/fonts-team/glyphslib.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/glyphslib
@@ -36,8 +41,9 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${python3:Depends},
-         glyphsinfo,
-         python3-ufonormalizer (>= 0.3.5),
+         glyphsinfo (>= 1193),
+         python3-ufonormalizer (>= 0.3.6),
+         python3-defcon (>= 0.6.0),
 Description: Library for converting between Glyphs files (.glyphs) and UFOs
  This tool provides conversions between Glyphs source files (.glyphs) and
  Unified Font Objects (UFOs) via defcon.

=== debian/watch ===
version=4
opts="dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
https://github.com/googlefonts/glyphsLib/tags .*/v*@ANY_VERSION@@ARCHIVE_EXT@

## glyphslib 5.1.2+ds1

=== debian/changelog ===
glyphslib (5.1.2+ds1-2) unstable; urgency=medium

  * New upstream version 5.1.2+ds1
  * Bump Standards-Version to 4.5.0

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Wed, 29 Jan 2020 16:06:11 +0800

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                python3-wheel,
                xmldiff (>= 2.4),
                glyphsinfo (>= 1193),
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/googlefonts/glyphsLib
 Vcs-Git: https://salsa.debian.org/fonts-team/glyphslib.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/glyphslib

## glyphslib 5.1.6+ds1

=== requirements.txt ===
#
# This file is autogenerated by pip-compile
# To update, run:
#
#    pip-compile setup.py
#
appdirs==1.4.3            # via fs
attrs==19.3.0             # via ufolib2
fonttools[ufo,unicode]==4.2.4
fs==2.4.11                # via fonttools
pytz==2019.3              # via fs
six==1.14.0               # via fs
ufolib2==0.5.1

=== debian/changelog ===
glyphslib (5.1.6+ds1-1) unstable; urgency=medium

  * New upstream version 5.1.6+ds1
  * d/control: Update dependencies
  * d/patches: Remove upstreamed patches

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Mon, 02 Mar 2020 00:21:52 +0800

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                python3-all,
                python3-setuptools,
                python3-setuptools-scm,
-               python3-fonttools (>= 4.2.2),
+               python3-fonttools (>= 4.2.4),
                python3-defcon (>= 0.6.0),
                python3-ufonormalizer (>= 0.3.6),
-               python3-ufolib2 (>= 0.5.0),
+               python3-ufolib2 (>= 0.5.1),
                python3-pytest,
                python3-wheel,
                xmldiff (>= 2.4),

## glyphslib 5.1.10+ds1

=== requirements.txt ===
--- 
+++ 
@@ -6,8 +6,12 @@
 #
 appdirs==1.4.3            # via fs
 attrs==19.3.0             # via ufolib2
-fonttools[ufo,unicode]==4.2.4
+fonttools[ufo,unicode]==4.6.0  # via glyphsLib (setup.py), ufolib2
 fs==2.4.11                # via fonttools
 pytz==2019.3              # via fs
 six==1.14.0               # via fs
-ufolib2==0.5.1
+ufolib2==0.6.2            # via glyphsLib (setup.py)
+unicodedata2==13.0.0.post2  # via fonttools
+
+# The following packages are considered to be unsafe in a requirements file:
+# setuptools

=== debian/changelog ===
glyphslib (5.1.10+ds1-1) unstable; urgency=medium

  * New upstream version 5.1.10+ds1
  * d/control: Update dependencies

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Fri, 29 May 2020 23:19:52 +0800

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                python3-all,
                python3-setuptools,
                python3-setuptools-scm,
-               python3-fonttools (>= 4.2.4),
                python3-defcon (>= 0.6.0),
-               python3-ufonormalizer (>= 0.3.6),
-               python3-ufolib2 (>= 0.5.1),
+               python3-ufonormalizer (>= 0.4.0),
+               python3-fonttools (>= 4.6.0),
+               python3-ufolib2 (>= 0.6.2),
                python3-pytest,
                python3-wheel,
                xmldiff (>= 2.4),
@@ -42,7 +42,7 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          glyphsinfo (>= 1193),
-         python3-ufonormalizer (>= 0.3.6),
+         python3-ufonormalizer (>= 0.4.0),
          python3-defcon (>= 0.6.0),
 Description: Library for converting between Glyphs files (.glyphs) and UFOs
  This tool provides conversions between Glyphs source files (.glyphs) and

## glyphslib 5.2.0+ds1

=== debian/changelog ===
glyphslib (5.2.0+ds1-1) unstable; urgency=medium

  * New upstream version 5.2.0+ds1
  * debian/control: Update dependencies

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sat, 10 Oct 2020 23:36:50 +0800

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                python3-all,
                python3-setuptools,
                python3-setuptools-scm,
-               python3-defcon (>= 0.6.0),
-               python3-ufonormalizer (>= 0.4.0),
-               python3-fonttools (>= 4.6.0),
-               python3-ufolib2 (>= 0.6.2),
+               python3-defcon (>= 0.7.2),
+               python3-ufonormalizer (>= 0.4.2),
+               python3-fonttools (>= 4.14.0),
+               python3-ufolib2 (>= 0.8.0),
                python3-pytest,
                python3-wheel,
                xmldiff (>= 2.4),
@@ -42,8 +42,8 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          glyphsinfo (>= 1193),
-         python3-ufonormalizer (>= 0.4.0),
-         python3-defcon (>= 0.6.0),
+         python3-defcon (>= 0.7.2),
+         python3-ufonormalizer (>= 0.4.2),
 Description: Library for converting between Glyphs files (.glyphs) and UFOs
  This tool provides conversions between Glyphs source files (.glyphs) and
  Unified Font Objects (UFOs) via defcon.

## glyphslib 5.3.0~b1+ds1

=== debian/changelog ===
glyphslib (5.3.0~b1+ds1-1) unstable; urgency=medium

  * New upstream version 5.3.0~b1+ds1
  * debian/control:
    - Update dependencies
    - Use debhelper 13
    - Bump Standards-Version to 4.5.1;  No other change is needed
  * debian/watch:
    - Handle pre-release version numbering
    - Use release page instead of tags page

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 13 Dec 2020 23:20:16 +0800

## glyphslib 5.3.0+ds1

=== requirements.txt ===
#
# This file is autogenerated by pip-compile
# To update, run:
#
#    pip-compile setup.py
#
appdirs==1.4.4            # via fs
attrs==20.3.0             # via ufolib2
fonttools[ufo,unicode]==4.17.1  # via glyphsLib (setup.py), ufolib2
fs==2.4.11                # via fonttools
pytz==2020.4              # via fs
six==1.15.0               # via fs
ufolib2==0.10.0           # via glyphsLib (setup.py)

# The following packages are considered to be unsafe in a requirements file:
# setuptools

=== debian/changelog ===
glyphslib (5.3.0+ds1-1) unstable; urgency=medium

  * New upstream version 5.3.0+ds1

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Wed, 16 Dec 2020 16:02:49 +0800

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,20 @@
 Priority: optional
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders: Yao Wei (魏銘廷) <mwei@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
                python3-setuptools-scm,
                python3-defcon (>= 0.7.2),
                python3-ufonormalizer (>= 0.4.2),
-               python3-fonttools (>= 4.14.0),
-               python3-ufolib2 (>= 0.8.0),
+               python3-fonttools (>= 4.17.1),
+               python3-ufolib2 (>= 0.10.0),
                python3-pytest,
                python3-wheel,
                xmldiff (>= 2.4),
                glyphsinfo (>= 1193),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/googlefonts/glyphsLib
 Vcs-Git: https://salsa.debian.org/fonts-team/glyphslib.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/glyphslib

## glyphslib 5.3.2+ds1

=== requirements.txt ===
#
# This file is autogenerated by pip-compile
# To update, run:
#
#    pip-compile setup.py
#

appdirs==1.4.4
    # via fs
attrs==20.3.0
    # via ufolib2
fonttools[ufo,unicode]==4.19.0
    # via
    #   glyphsLib (setup.py)
    #   ufolib2
fs==2.4.12
    # via fonttools
pytz==2020.5
    # via fs
six==1.15.0
    # via fs
ufolib2==0.11.1
    # via glyphsLib (setup.py)
unicodedata2==13.0.0.post2
    # via fonttools

# The following packages are considered to be unsafe in a requirements file:
# setuptools

=== debian/changelog ===
glyphslib (5.3.2+ds1-1) unstable; urgency=medium

  * New upstream version 5.3.2+ds1
  * debian/control: Update dependencies

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Mon, 01 Feb 2021 12:08:04 +0800

glyphslib (5.3.1+ds1-1) unstable; urgency=medium

  * New upstream version 5.3.1+ds1

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Thu, 07 Jan 2021 23:05:28 +0800

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-defcon (>= 0.7.2),
-               python3-ufonormalizer (>= 0.4.2),
-               python3-fonttools (>= 4.17.1),
-               python3-ufolib2 (>= 0.10.0),
+               python3-ufonormalizer (>= 0.5.3),
+               python3-fonttools (>= 4.19.0),
+               python3-ufolib2 (>= 0.11.1),
                python3-pytest,
                python3-wheel,
                xmldiff (>= 2.4),
@@ -43,7 +43,7 @@
          ${python3:Depends},
          glyphsinfo (>= 1193),
          python3-defcon (>= 0.7.2),
-         python3-ufonormalizer (>= 0.4.2),
+         python3-ufonormalizer (>= 0.5.3),
 Description: Library for converting between Glyphs files (.glyphs) and UFOs
  This tool provides conversions between Glyphs source files (.glyphs) and
  Unified Font Objects (UFOs) via defcon.

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,9 @@
 VERSION_UPSTREAM = $(shell echo '$(DEB_VERSION_UPSTREAM)' | sed -e 's/\+[^+]*//')
 export SETUPTOOLS_SCM_PRETEND_VERSION = $(VERSION_UPSTREAM)
 
+export PYBUILD_BEFORE_TEST=ln -s /usr/share/glyphsinfo/* {build_dir}/glyphsLib/data
+export PYBUILD_AFTER_TEST=rm {build_dir}/glyphsLib/data/GlyphData* {build_dir}/*.txt
+
 %:
 	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: pytest-3
Depends: python3-all,
         python3-glyphslib,
         python3-pytest,
         python3-ufonormalizer,
         xmldiff

## glyphslib 6.0.6+ds1

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with python 3.7
# To update, run:
#
#    pip-compile setup.cfg
#
appdirs==1.4.4
    # via fs
attrs==21.4.0
    # via ufolib2
fonttools[ufo,unicode]==4.32.0
    # via
    #   glyphsLib (setup.cfg)
    #   ufolib2
fs==2.4.15
    # via fonttools
openstep-plist==0.3.0
    # via glyphsLib (setup.cfg)
pytz==2022.1
    # via fs
six==1.16.0
    # via fs
typing-extensions==4.2.0
    # via ufolib2
ufolib2==0.13.1
    # via glyphsLib (setup.cfg)
unicodedata2==14.0.0
    # via fonttools

# The following packages are considered to be unsafe in a requirements file:
# setuptools

=== debian/changelog ===
glyphslib (6.0.6+ds1-1) unstable; urgency=medium

  * New upstream version 6.0.6+ds1
  * debian/copyright: Add licenses for test files
  * debian/gbp.conf: change debian-branch to debian/latest to follow DEP-14
  * debian/rules:
    - Remove dh_clean override
    - Skip tests that requires skia-pathops
  * debian/control:
    - Update dependencies
    - Bump Standards-Version to 4.6.1.  No other changes are needed.
  * debian/patches: Add patch for Designspace generation tests,
    Closes: #1013363
  * debian/tests/control: Fix autopkgtest commands

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sat, 30 Jul 2022 11:00:18 +0800

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,18 @@
                python3-all,
                python3-setuptools,
                python3-setuptools-scm,
+               pybuild-plugin-pyproject,
                python3-defcon (>= 0.7.2),
                python3-ufonormalizer (>= 0.5.3),
-               python3-fonttools (>= 4.19.0),
-               python3-ufolib2 (>= 0.11.1),
+               python3-fonttools (>= 4.32.0),
+               python3-ufolib2 (>= 0.13.1),
+               python3-openstep-plist (>= 0.3.0),
+               python3-ufo2ft (>= 2.27.0),
                python3-pytest,
                python3-wheel,
                xmldiff (>= 2.4),
                glyphsinfo (>= 1193),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/googlefonts/glyphsLib
 Vcs-Git: https://salsa.debian.org/fonts-team/glyphslib.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/glyphslib
@@ -44,6 +47,7 @@
          glyphsinfo (>= 1193),
          python3-defcon (>= 0.7.2),
          python3-ufonormalizer (>= 0.5.3),
+         python3-openstep-plist (>= 0.3.0),
 Description: Library for converting between Glyphs files (.glyphs) and UFOs
  This tool provides conversions between Glyphs source files (.glyphs) and
  Unified Font Objects (UFOs) via defcon.

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,8 @@
 export PYBUILD_BEFORE_TEST=ln -s /usr/share/glyphsinfo/* {build_dir}/glyphsLib/data
 export PYBUILD_AFTER_TEST=rm {build_dir}/glyphsLib/data/GlyphData* {build_dir}/*.txt
 
+# TODO: skia-pathops is not in Debian yet
+export PYBUILD_TEST_ARGS = -k "not test_glyph_color_layers_"
+
 %:
 	dh $@ --with python3 --buildsystem=pybuild
-
-override_dh_clean:
-	dh_clean
-	rm Lib/glyphsLib/_version.py

=== debian/watch ===
version=4
opts="uversionmangle=s/(\d)[_\.\-\+]?(a|b)[.]?(\d*)$/\$1~\$2\$3/,dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
https://github.com/googlefonts/glyphsLib/releases .*/v*@ANY_VERSION@@ARCHIVE_EXT@

## glyphslib 6.4.0+ds1

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.11
# by the following command:
#
#    pip-compile setup.cfg
#
appdirs==1.4.4
    # via fs
attrs==23.1.0
    # via ufolib2
fonttools[ufo,unicode]==4.42.1
    # via
    #   glyphsLib (setup.cfg)
    #   ufolib2
fs==2.4.16
    # via fonttools
openstep-plist==0.3.0.post1
    # via glyphsLib (setup.cfg)
six==1.16.0
    # via fs
ufolib2==0.16.0
    # via glyphsLib (setup.cfg)
unicodedata2==15.0.0
    # via fonttools

# The following packages are considered to be unsafe in a requirements file:
# setuptools

=== debian/changelog ===
glyphslib (6.4.0+ds1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream version 6.4.0+ds1.
    + Upload to experimental for now before dependencies are
      updated properly.
  * debian/gbp.conf: Enable ignore-branch = True.
  * debian/watch: Fix upstream monitoring script. (Closes: #1051199)
  * debian/control: Switch to pybuild-plugin-pyproject plugin
    and dh-sequence-python3 build-dependency.
  * debian/rules: Ditto.
  * debian/rules: Do not remove {build_dir}/*.txt after test.
    These files are not generated during test now.

 -- Boyuan Yang <byang@debian.org>  Fri, 22 Sep 2023 09:00:30 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders: Yao Wei (魏銘廷) <mwei@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-setuptools,
                python3-setuptools-scm,
@@ -19,7 +20,7 @@
                python3-wheel,
                xmldiff (>= 2.4),
                glyphsinfo (>= 1193),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/googlefonts/glyphsLib
 Vcs-Git: https://salsa.debian.org/fonts-team/glyphslib.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/glyphslib

=== debian/tests/control ===
Test-Command: pytest-3 -k "not test_glyph_color_layers_"
Depends: python3-all,
         python3-glyphslib,
         python3-pytest,
         python3-ufonormalizer,
         python3-ufo2ft,
         xmldiff,

=== debian/watch ===
version=4
opts="uversionmangle=s/(\d)[_\.\-\+]?(a|b)[.]?(\d*)$/\$1~\$2\$3/,dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
https://github.com/googlefonts/glyphsLib/tags .*/v*@ANY_VERSION@@ARCHIVE_EXT@

## glyphslib 6.9.5+ds1

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.12
# by the following command:
#
#    pip-compile setup.cfg
#
appdirs==1.4.4
    # via fs
attrs==24.2.0
    # via ufolib2
fonttools[ufo,unicode]==4.53.1
    # via
    #   glyphsLib (setup.cfg)
    #   ufolib2
fs==2.4.16
    # via fonttools
openstep-plist==0.3.1
    # via glyphsLib (setup.cfg)
six==1.16.0
    # via fs
ufolib2==0.16.0
    # via glyphsLib (setup.cfg)
unicodedata2==15.1.0
    # via fonttools

# The following packages are considered to be unsafe in a requirements file:
# setuptools

=== debian/changelog ===
glyphslib (6.9.5+ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 16 Nov 2024 11:16:20 -0500

glyphslib (6.9.3+ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 01 Nov 2024 19:24:08 -0400

glyphslib (6.9.2+ds1-2) unstable; urgency=medium

  * Team upload.
  * debian/control: Tighten the version requirement for glyphsinfo
    and python3-ufonormalizer to the latest version to avoid failure
    in autopkgtest.

 -- Boyuan Yang <byang@debian.org>  Tue, 22 Oct 2024 14:12:12 -0400

glyphslib (6.9.2+ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    + Fix compatibility with the new ufo2ft.
  * debian/control: Require new glyphslib and ufo2ft packages.

 -- Boyuan Yang <byang@debian.org>  Tue, 22 Oct 2024 07:46:33 -0400

glyphslib (6.4.0+ds1-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable. (Closes: #1058432)

  [ Yao Wei (魏銘廷) ]
  * debian/watch, debian/upstream/signing-key.asc: use git mode for
    d/watch, add signature check.

 -- Boyuan Yang <byang@debian.org>  Fri, 18 Oct 2024 16:26:15 -0400

=== debian/control ===
Source: glyphslib
Section: devel
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders:
 Yao Wei (魏銘廷) <mwei@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 glyphsinfo (>= 1193+git20241007),
 pybuild-plugin-pyproject,
 python3-all,
 python3-defcon (>= 0.7.2),
 python3-fonttools (>= 4.32.0),
 python3-openstep-plist (>= 0.3.0),
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-setuptools-scm,
 python3-ufo2ft (>= 3.3.0),
 python3-ufolib2 (>= 0.16.0),
 python3-ufonormalizer (>= 0.6.2),
 python3-wheel,
 xmldiff (>= 2.4),
Standards-Version: 4.7.0
Homepage: https://github.com/googlefonts/glyphsLib
Vcs-Git: https://salsa.debian.org/fonts-team/glyphslib.git
Vcs-Browser: https://salsa.debian.org/fonts-team/glyphslib

Package: glyphslib
Architecture: all
Depends:
 python3-glyphslib (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-glyphslib (<< 3.0.2-3~),
Replaces:
 python3-glyphslib (<< 3.0.2-3~),
Description: Convert between Glyphs files (.glyphs) and UFOs
 This tool provides conversions between Glyphs source files (.glyphs) and
 Unified Font Objects (UFOs) via defcon.
 .
 This package provides the executable program.

Package: python3-glyphslib
Architecture: all
Section: python
Multi-Arch: foreign
Depends:
 glyphsinfo (>= 1193+git20241007),
 python3-defcon (>= 0.7.2),
 python3-openstep-plist (>= 0.3.0),
 python3-ufonormalizer (>= 0.6.2),
 ${misc:Depends},
 ${python3:Depends},
Description: Library for converting between Glyphs files (.glyphs) and UFOs
 This tool provides conversions between Glyphs source files (.glyphs) and
 Unified Font Objects (UFOs) via defcon.

=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,10 @@
 export SETUPTOOLS_SCM_PRETEND_VERSION = $(VERSION_UPSTREAM)
 
 export PYBUILD_BEFORE_TEST=ln -s /usr/share/glyphsinfo/* {build_dir}/glyphsLib/data
-export PYBUILD_AFTER_TEST=rm {build_dir}/glyphsLib/data/GlyphData* {build_dir}/*.txt
+export PYBUILD_AFTER_TEST=rm {build_dir}/glyphsLib/data/GlyphData*
 
 # TODO: skia-pathops is not in Debian yet
 export PYBUILD_TEST_ARGS = -k "not test_glyph_color_layers_"
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: pytest-3 -k "not test_glyph_color_layers_"
Depends:
 python3-all,
 python3-glyphslib,
 python3-pytest,
 python3-ufo2ft,
 python3-ufonormalizer,
 xmldiff,

=== debian/watch ===
version=4
opts="mode=git,pgpmode=gittag,uversionmangle=s/(\d)[_\.\-\+]?(a|b)[.]?(\d*)$/\$1~\$2\$3/,dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
https://github.com/googlefonts/glyphsLib.git refs/tags/v@ANY_VERSION@

## glyphslib 6.12.6+ds

=== debian/changelog ===
glyphslib (6.12.6+ds-1) unstable; urgency=medium

  * Team upload.
  * debian/watch: Rewrite in version 5.
  * New upstream release 6.12.6+ds.
  * Bump Standards-Version to 4.7.3.
  * debian/rules: Document the skip of upstream test
    test_prod_names[one_one-han.paren-one_one.paren] that relates to
    upstream behavior, pending investigation.

 -- Boyuan Yang <byang@debian.org>  Wed, 21 Jan 2026 20:36:10 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: glyphslib
 Section: devel
-Priority: optional
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders:
  Yao Wei (魏銘廷) <mwei@debian.org>,
@@ -21,10 +20,13 @@
  python3-ufonormalizer (>= 0.6.2),
  python3-wheel,
  xmldiff (>= 2.4),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/googlefonts/glyphsLib
 Vcs-Git: https://salsa.debian.org/fonts-team/glyphslib.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/glyphslib
+Description: Convert between Glyphs files (.glyphs) and UFOs
+ This tool provides conversions between Glyphs source files (.glyphs) and
+ Unified Font Objects (UFOs) via defcon.
 
 Package: glyphslib
 Architecture: all
@@ -36,9 +38,8 @@
  python3-glyphslib (<< 3.0.2-3~),
 Replaces:
  python3-glyphslib (<< 3.0.2-3~),
-Description: Convert between Glyphs files (.glyphs) and UFOs
- This tool provides conversions between Glyphs source files (.glyphs) and
- Unified Font Objects (UFOs) via defcon.
+Description: ${source:Synopsis}
+ ${source:Extended-Description}
  .
  This package provides the executable program.
 
@@ -54,5 +55,4 @@
  ${misc:Depends},
  ${python3:Depends},
 Description: Library for converting between Glyphs files (.glyphs) and UFOs
- This tool provides conversions between Glyphs source files (.glyphs) and
- Unified Font Objects (UFOs) via defcon.
+ ${source:Extended-Description}

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,8 @@
 export PYBUILD_AFTER_TEST=rm {build_dir}/glyphsLib/data/GlyphData*
 
 # TODO: skia-pathops is not in Debian yet
-export PYBUILD_TEST_ARGS = -k "not test_glyph_color_layers_"
+# TODO: https://github.com/googlefonts/glyphsLib/commit/5e93bc36930885a3555bc820fab839b055382d50
+export PYBUILD_TEST_ARGS = -k "not test_glyph_color_layers_ and not test_prod_names"
 
 %:
 	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: pytest-3 -k "not test_glyph_color_layers_ and not test_prod_names"
Depends:
 python3-all,
 python3-glyphslib,
 python3-pytest,
 python3-ufo2ft,
 python3-ufonormalizer,
 xmldiff,

=== debian/watch ===
Version: 5

Source: https://github.com/googlefonts/glyphsLib.git
Matching-Pattern: refs/tags/v@ANY_VERSION@
Git-Mode: full
Mode: git
Pgp-Mode: gittag
Dversion-Mangle: s/\+ds\d*$//
Repacksuffix: +ds

## glyphslib 6.12.7+ds

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.14
# by the following command:
#
#    pip-compile setup.cfg
#
attrs==25.4.0
    # via ufolib2
fonttools[ufo,unicode]==4.61.1
    # via
    #   glyphsLib (setup.cfg)
    #   ufolib2
openstep-plist==0.5.1
    # via glyphsLib (setup.cfg)
ufolib2==0.18.1
    # via glyphsLib (setup.cfg)
unicodedata2==17.0.0
    # via fonttools

=== debian/changelog ===
glyphslib (6.12.7+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 20 Feb 2026 11:26:47 -0500
